Subject: Business Air News Bulletin - April 4, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 05 Apr 2023 05:03:17 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

UA acquires Andalucia in time for busy summer season

In 2019, Universal Aviation Spain acquired a minority stake in Andalucia Aviation and a majority stake in 2021. Over that period, Universal Aviation Spain has been working to elevate services. It now owns the handler in full.

Swiss FOCA gives the nod to Jet Aviation maintenance

Jet Aviation established a presence at Zurich Airport in 1969. In June 2021, the site was expanded via the acquisition of the former ExecuJet Zurich FBO facilities. FOCA completed a successful audit earlier this year.

Jet Access completes construction of central Indiana hangar

With its close proximity to downtown Indianapolis, the new hangar will impact a significant sector of the business community who are currently doing business there, or who are looking to expand or relocate.

Atlantic goes all-electric at Aspen airport

Atlantic has begun using battery-powered GPUs at Aspen airport and has put a number of all-electric fuel trucks into service on its ramp. The vehicles join a fleet of electric tugs, carts and hybrid crew vehicles.

March charter dips from previous year

This time last year a record peak in business aviation activity reflected pent up demand as the pandemic faded and lockdowns were released, so it's no surprise to see lower YOY activity. Does the dip end here though?

Business jet activity approaches two month low

There are no great gains at the moment, just little dips in business jet activity. In the US, Teterboro is the busiest departure airport and clients are loving the Phenom 300 and Latitude types.

To unsubscribe, please contact [email-masked].